function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary-hover);\n                ",
        ": var(---text-secondary-active);\n                ",
        ": transparent;\n                ",
        ": var(--surface-accent);\n\n                ",
        ": 0rem;\n                ",
        ": transparent;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary-hover);\n                ",
        ": var(---text-secondary-active);\n                ",
        ": var(--surface-transparent-primary);\n                ",
        ": var(--surface-accent);\n\n                ",
        ": 0rem;\n                ",
        ": transparent;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary-hover);\n                ",
        ": var(---text-secondary-active);\n                ",
        ": transparent;\n                ",
        ": var(--surface-accent);\n\n                ",
        ": 0.0625rem;\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": 0.0625rem;\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.5rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0rem;\n                ",
        ": 0.125rem;\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.625rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0rem;\n                ",
        ": 0.25rem;\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.75rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0rem;\n                ",
        ": 0.625rem;\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.75rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0rem;\n                ",
        ": 0.75rem;\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.5rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0.25rem;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.5rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0.25rem;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.625rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0.375rem;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.75rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 0.5rem;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.75rem;\n                ",
        ": fit-content;\n                ",
        ": auto;\n                ",
        ": 1rem;\n                ",
        ": 0rem;\n            "
    ]);
    _templateObject11 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 100%;\n            "
    ]);
    _templateObject12 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.4;\n            "
    ]);
    _templateObject13 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject14() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1.625rem;\n            "
    ]);
    _templateObject14 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, tabsTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'divider',
        size: 'l'
    },
    variations: {
        view: {
            clear: css(_templateObject(), tabsTokens.arrowColor, tabsTokens.arrowColorHover, tabsTokens.arrowColorActive, tabsTokens.tabsBackgroundColor, tabsTokens.outlineFocusColor, tabsTokens.tabsDividerHeight, tabsTokens.tabsDividerColor, tabsTokens.tabsDividerBorderRadius),
            filled: css(_templateObject1(), tabsTokens.arrowColor, tabsTokens.arrowColorHover, tabsTokens.arrowColorActive, tabsTokens.tabsBackgroundColor, tabsTokens.outlineFocusColor, tabsTokens.tabsDividerHeight, tabsTokens.tabsDividerColor, tabsTokens.tabsDividerBorderRadius),
            divider: css(_templateObject2(), tabsTokens.arrowColor, tabsTokens.arrowColorHover, tabsTokens.arrowColorActive, tabsTokens.tabsBackgroundColor, tabsTokens.outlineFocusColor, tabsTokens.tabsDividerHeight, tabsTokens.tabsDividerColor, tabsTokens.tabsDividerBorderRadius)
        },
        size: {
            xs: css(_templateObject3(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            s: css(_templateObject4(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            m: css(_templateObject5(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            l: css(_templateObject6(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            h5: css(_templateObject7(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            h4: css(_templateObject8(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            h3: css(_templateObject9(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            h2: css(_templateObject10(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding),
            h1: css(_templateObject11(), tabsTokens.tabsBorderRadius, tabsTokens.tabsWidth, tabsTokens.tabsHeight, tabsTokens.arrowInnerPadding, tabsTokens.arrowOuterPadding)
        },
        stretch: {
            true: css(_templateObject12(), tabsTokens.containerWidth)
        },
        disabled: {
            true: css(_templateObject13(), tabsTokens.disabledOpacity)
        },
        pilled: {
            true: css(_templateObject14(), tabsTokens.tabsPilledBorderRadius)
        }
    }
};
